## lammps 0~20120305.git5d7feb1

=== debian/changelog ===
lammps (0~20120305.git5d7feb1-1) unstable; urgency=low

  * [23cace5] Imported Upstream version 0~20120305.git5d7feb1
  * [c2d8e83] Enable auto-test.

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 06 Mar 2012 20:03:14 +0100

lammps (0~20120228.git268a14f-1) unstable; urgency=low

  * Initial Release. (Closes: #610622).

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 25 Feb 2012 22:49:48 +0100
