=== debian/rules ===
#!/usr/bin/make -f

export OMPI_MCA_plm_rsh_agent=/bin/false                #workaround to start MPI-applications in chroot

%:
	dh $@ --parallel

override_dh_auto_clean:
	cd src; make clean-all
	dh_clean

override_dh_auto_build:
	cd src; make openmpi
	mv src/lmp_openmpi src/lammps
	chmod 644 examples/USER/sph/shock_tube/shock2d.lmp

override_dh_auto_test:
	mkdir test; cp examples/crack/* test/
	cd test; ./../src/lammps < in.crack || true
	rm -rf test
	mkdir test; cp examples/crack/* test/
	cd test; mpirun -np 2 ./../src/lammps < in.crack || true
	rm -rf test
