## lammps 0~20120426.git67de404

=== debian/changelog ===
lammps (0~20120426.git67de404-1) unstable; urgency=low

  * [cf6ee1b] Disable mpirun-test on some platforms, where it crashes.
  * [b4a9875] Imported Upstream version 0~20120426.git67de404
  * [8abc62b] Enable additional modules before compiling. (Closes: #670547)

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 27 Apr 2012 00:04:27 +0200
