=== debian/changelog ===
lammps (0~20120615.gite442279-1) unstable; urgency=low

  * [de9ec1f] Imported Upstream version 0~20120615.gite442279
  * [864de63] Remove patch, applied by upstream.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 18 Jun 2012 20:34:59 +0200
