=== debian/control ===
Source: lammps
Section: science
Priority: extra
Build-Depends: debhelper (>= 9), mpi-default-bin, mpi-default-dev, libfftw3-dev,
 libjpeg-dev
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladky.anton@gmail.com>
DM-Upload-Allowed: yes
Homepage: http://lammps.sandia.gov/
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/debian-science/packages/lammps.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/lammps.git

Package: lammps
Architecture: any
Depends:  ${shlibs:Depends}, ${misc:Depends}
Recommends: lammps-doc, mpi-default-bin
Description: Molecular Dynamics Simulator.
 LAMMPS is a classical molecular dynamics code, and an acronym for Large-scale 
 Atomic/Molecular Massively Parallel Simulator.
 .
 LAMMPS has potentials for soft materials (biomolecules, polymers) and 
 solid-state materials (metals, semiconductors) and coarse-grained or 
 mesoscopic systems. It can be used to model atoms or, more generically, as a 
 parallel particle simulator at the atomic, meso, or continuum scale.
 .
 LAMMPS runs on single processors or in parallel using message-passing 
 techniques and a spatial-decomposition of the simulation domain. The code is 
 designed to be easy to modify or extend with new functionality.

Package: lammps-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: Molecular Dynamics Simulator. Documentation and examples.
 LAMMPS is a classical molecular dynamics code, and an acronym for Large-scale 
 Atomic/Molecular Massively Parallel Simulator.
 .
 LAMMPS has potentials for soft materials (biomolecules, polymers) and 
 solid-state materials (metals, semiconductors) and coarse-grained or 
 mesoscopic systems. It can be used to model atoms or, more generically, as a 
 parallel particle simulator at the atomic, meso, or continuum scale.
 .
 LAMMPS runs on single processors or in parallel using message-passing 
 techniques and a spatial-decomposition of the simulation domain. The code is 
 designed to be easy to modify or extend with new functionality.
