=== debian/changelog ===
lammps (0~20121116.git9eeec79-1~exp1) experimental; urgency=low

  * [8b791e7] Update git_orig-script. Use more effective xz-compression.
  * [c4ee715] Imported Upstream version 0~20121116.git9eeec79
  * [e9300f9] Update patch.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 19 Nov 2012 18:55:39 +0100
