## lammps 0~20130503.gitd2adfba

=== src/Makefile ===
--- 
+++ 
@@ -13,15 +13,16 @@
 
 # Package variables
 
-PACKAGE = asphere class2 colloid dipole fld gpu granular kim \
+PACKAGE = asphere body class2 colloid dipole fld gpu granular kim \
 	  kspace manybody mc meam molecule opt peri poems reax replica \
-	  rigid shock srd xtc
+	  rigid shock srd voronoi xtc
 
 PACKUSER = user-misc user-atc user-awpmd user-cg-cmm user-colvars \
-	   user-cuda user-eff user-omp user-molfile user-reaxc user-sph
-
-PACKLIB = gpu kim meam poems reax user-atc user-awpmd user-colvars \
-	  user-cuda user-molfile
+	   user-cuda user-eff user-omp user-molfile user-phonon \
+	   user-reaxc user-sph
+
+PACKLIB = gpu kim meam poems reax voronoi \
+	  user-atc user-awpmd user-colvars user-cuda user-molfile
 
 PACKALL = $(PACKAGE) $(PACKUSER)
 
@@ -37,6 +38,7 @@
 	@echo ''
 	@echo 'make clean-all           delete all object files'
 	@echo 'make clean-machine       delete object files for one machine'
+	@echo 'make purge               purge obsolete copies of package sources'
 	@echo 'make tar                 create lmp_src.tar.gz of src dir and packages'
 	@echo 'make makelib             create Makefile.lib for static library build'
 	@echo 'make makeshlib           create Makefile.shlib for shared library build'
@@ -75,7 +77,6 @@
 	@test -f MAKE/Makefile.$@
 	@if [ ! -d Obj_$@ ]; then mkdir Obj_$@; fi
 	@$(SHELL) Make.sh style
-	@cp -p *.cpp *.h Obj_$@
 	@cp MAKE/Makefile.$@ Obj_$@/Makefile
 	@if [ ! -e Makefile.package ]; \
 	  then cp Makefile.package.empty Makefile.package; fi
@@ -85,7 +86,6 @@
 	@cd Obj_$@; \
 	$(MAKE) $(MFLAGS) "OBJ = $(OBJ)" "INC = $(INC)" "SHFLAGS =" \
 	  "EXE = ../$(EXE)" ../$(EXE)
-	@if [ -d Obj_$@ ]; then cd Obj_$@; rm -f $(SRC) $(INC) Makefile*; fi
 
 # Remove machine-specific object files
 
@@ -98,6 +98,12 @@
 
 clean-%:
 	rm -rf Obj_$(@:clean-%=%)
+
+purge: Purge.list
+	@echo 'Purging obsolete and auto-generated source files'
+	@for f in `grep -v '#' Purge.list` ;		\
+	    do test -f $$f && rm $$f && echo $$f || : ;		\
+	done
 
 # Create a tarball of src dir and packages
