=== debian/changelog ===
lammps (0~20130503.gitd2adfba-1) unstable; urgency=low

  * [4a7ac95] Imported Upstream version 0~20130503.gitd2adfba
  * [2f578c3] Minor description update.
  * [fdb3192] Use parallel build.
  * [afade40] Add doc-base file.

 -- Anton Gladky <gladk@debian.org>  Tue, 07 May 2013 21:27:12 +0200

lammps (0~20130201.gitdf9c707-1) experimental; urgency=low

  * [acf02f1] Imported Upstream version 0~20130201.gitdf9c707
  * [9477729] Add -fopenmp option to compilation flags.
  * [a422953] Use Standards-Version: 3.9.4. No changes.
  * [3b9caec] Remove obsolete DM-Upload-Allowed flag.
  * [84d264e] Remove parallel option due to high RAM-consumption.

 -- Anton Gladky <gladk@debian.org>  Sun, 03 Feb 2013 21:40:03 +0100
