=== debian/control ===
--- 
+++ 
@@ -4,18 +4,17 @@
 Build-Depends: debhelper (>= 9), mpi-default-bin, mpi-default-dev, libfftw3-dev,
  libjpeg-dev
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Anton Gladky <gladky.anton@gmail.com>
-DM-Upload-Allowed: yes
+Uploaders: Anton Gladky <gladk@debian.org>
 Homepage: http://lammps.sandia.gov/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/debian-science/packages/lammps.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/lammps.git
 
 Package: lammps
 Architecture: any
-Depends:  ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: lammps-doc, mpi-default-bin
-Description: Molecular Dynamics Simulator.
+Description: Molecular Dynamics Simulator
  LAMMPS is a classical molecular dynamics code, and an acronym for Large-scale 
  Atomic/Molecular Massively Parallel Simulator.
  .
@@ -32,7 +31,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Section: doc
-Description: Molecular Dynamics Simulator. Documentation and examples.
+Description: Molecular Dynamics Simulator. Documentation and examples
  LAMMPS is a classical molecular dynamics code, and an acronym for Large-scale 
  Atomic/Molecular Massively Parallel Simulator.
  .
@@ -44,3 +43,5 @@
  LAMMPS runs on single processors or in parallel using message-passing 
  techniques and a spatial-decomposition of the simulation domain. The code is 
  designed to be easy to modify or extend with new functionality.
+ .
+ The package contains documentation and examples.
