## lammps 0~20131119.git7162cf0

=== src/Makefile ===
--- 
+++ 
@@ -14,12 +14,12 @@
 # Package variables
 
 PACKAGE = asphere body class2 colloid dipole fld gpu granular kim \
-	  kspace manybody mc meam molecule opt peri poems reax replica \
+	  kspace manybody mc meam misc molecule opt peri poems reax replica \
 	  rigid shock srd voronoi xtc
 
-PACKUSER = user-misc user-atc user-awpmd user-cg-cmm user-colvars \
-	   user-cuda user-eff user-omp user-molfile user-phonon \
-	   user-reaxc user-sph
+PACKUSER = user-atc user-awpmd user-cg-cmm user-colvars \
+	   user-cuda user-eff user-lb user-misc user-omp user-molfile \
+	   user-phonon user-reaxc user-sph
 
 PACKLIB = gpu kim meam poems reax voronoi \
 	  user-atc user-awpmd user-colvars user-cuda user-molfile
@@ -191,17 +191,27 @@
 	  then cp Makefile.package.settings.empty Makefile.package.settings; fi
 	@if [ ! -e $(YESDIR) ]; then \
 	  echo "Package $(@:yes-%=%) does not exist"; \
+	elif [ -e $(YESDIR)/Install.sh ]; then \
+	  echo "Installing package $(@:yes-%=%)"; \
+	  cd $(YESDIR); $(SHELL) Install.sh 1; cd ..; \
+		$(SHELL) Depend.sh $(YESDIR) 1; \
 	else \
 	  echo "Installing package $(@:yes-%=%)"; \
-	  cd $(YESDIR); $(SHELL) Install.sh 1; cd ..; $(SHELL) Depend.sh 1; \
+	  cd $(YESDIR); $(SHELL) ../Install.sh 1; cd ..; \
+		$(SHELL) Depend.sh $(YESDIR) 1; \
 	fi;
 
 no-%:
 	@if [ ! -e $(NODIR) ]; then \
 	  echo "Package $(@:no-%=%) does not exist"; \
+	elif [ -e $(NODIR)/Install.sh ]; then \
+	  echo "Uninstalling package $(@:no-%=%)"; \
+	  cd $(NODIR); $(SHELL) Install.sh 0; cd ..; \
+		$(SHELL) Depend.sh $(NODIR) 0; \
 	else \
 	  echo "Uninstalling package $(@:no-%=%)"; \
-	  cd $(NODIR); $(SHELL) Install.sh 0; cd ..; $(SHELL) Depend.sh 0; \
+	  cd $(NODIR); $(SHELL) ../Install.sh 0; cd ..; \
+		$(SHELL) Depend.sh $(NODIR) 0; \
         fi;
 
 # status = list src files that differ from package files
