=== debian/changelog ===
lammps (0~20131119.git7162cf0-1build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 00:01:18 -0500

lammps (0~20131119.git7162cf0-1) unstable; urgency=low

  * [e65b919] Imported Upstream version 0~20131119.git7162cf0
  * [f7bddd4] Fix some problems, introduced by upstream recently.
  * [3616dfc] Use wrap-and-sort script.
  * [7e92030] Ignore quilt dir

 -- Anton Gladky <gladk@debian.org>  Wed, 20 Nov 2013 22:41:36 +0100
