=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export OMPI_MCA_plm_rsh_agent=/bin/false                #workaround to start MPI-applications in chroot
+export NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 
 disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x
 
@@ -12,7 +13,7 @@
 	dh_clean
 
 override_dh_auto_build:
-	cd src; $(MAKE) yes-all; $(MAKE) no-lib; $(MAKE) openmpi
+	cd src; $(MAKE) -j$(NUMJOBS) yes-all; $(MAKE) -j$(NUMJOBS) no-lib; $(MAKE) -j$(NUMJOBS) openmpi
 	mv src/lmp_openmpi src/lammps
 	chmod 644 examples/USER/sph/shock_tube/shock2d.lmp
