=== debian/changelog ===
lammps (0~20140523.gite5e877d-1) unstable; urgency=medium

  * [4c132dc] Grab source from GitHub page.
  * [7811c49] Move mpi-default-bin to Depends.
  * [4bd2ecb] Imported Upstream version 0~20140523.gite5e877d
  * [7f4e9a8] Remove colloid autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Sat, 24 May 2014 19:03:51 +0200

lammps (0~20140415.git42bb280-2) unstable; urgency=medium

  * [eff3471] Update/fix autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Sun, 18 May 2014 11:30:46 +0200

lammps (0~20140415.git42bb280-1) unstable; urgency=medium

  * [f2930e3] Imported Upstream version 0~20140415.git42bb280
  * [b05b302] Remove patch, applied by upstream.
  * [12f95b6] Fix autotest.
  * [cca8000] Replace deprecated MPI-flag in debian/rules.

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Apr 2014 19:23:18 +0200

lammps (0~20140212.git32a5cd0-4) unstable; urgency=medium

  * [db83dbb] Fix autotest (MPI error).

 -- Anton Gladky <gladk@debian.org>  Sat, 15 Feb 2014 21:49:51 +0100

lammps (0~20140212.git32a5cd0-3) unstable; urgency=medium

  * [842e614] Fix autotest.

 -- Anton Gladky <gladk@debian.org>  Sat, 15 Feb 2014 09:42:10 +0100

lammps (0~20140212.git32a5cd0-2) unstable; urgency=medium

  * [9fad448] Fix FTBFS on arch-only builds.

 -- Anton Gladky <gladk@debian.org>  Fri, 14 Feb 2014 07:39:31 +0100

lammps (0~20140212.git32a5cd0-1) unstable; urgency=medium

  * [5127b33] Imported Upstream version 0~20140212.git32a5cd0
  * [9c47579] Refresh patch.
  * [b21f32c] Set Standards-Version: 3.9.5. No changes.
  * [249a3f2] Set canonical VCS-fields.
  * [85cb066] Add autotests.
  * [bf2b96e] Remove executable bit in examples.

 -- Anton Gladky <gladk@debian.org>  Thu, 13 Feb 2014 22:38:05 +0100
