=== debian/control ===
--- 
+++ 
@@ -11,18 +11,19 @@
 Uploaders:
  Anton Gladky <gladk@debian.org>
 Homepage: http://lammps.sandia.gov/
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/debian-science/packages/lammps.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/lammps.git
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/lammps.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/lammps.git
+XS-Testsuite: autopkgtest
 
 Package: lammps
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
+ mpi-default-bin
 Recommends:
- lammps-doc,
- mpi-default-bin
+ lammps-doc
 Description: Molecular Dynamics Simulator
  LAMMPS is a classical molecular dynamics code, and an acronym for Large-scale
  Atomic/Molecular Massively Parallel Simulator.
